<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" usemap="#aargos_1_1CCrazyflieBatteryDefaultSensor" alt=""/>
<map name="aargos_1_1CCrazyflieBatteryDefaultSensor" id="aargos_1_1CCrazyflieBatteryDefaultSensor">
<area shape="rect" title=" " alt="" coords="34,5,170,32"/>
<area shape="rect" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html" title=" " alt="" coords="266,7,433,49"/>
<area shape="rect" title=" " alt="" coords="5,107,199,149"/>
<area shape="rect" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html" title=" " alt="" coords="247,83,452,139"/>
<area shape="rect" title=" " alt="" coords="37,56,167,83"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" usemap="#aargos_1_1CCrazyflieBatteryEquippedEntity" alt=""/>
<map name="aargos_1_1CCrazyflieBatteryEquippedEntity" id="aargos_1_1CCrazyflieBatteryEquippedEntity">
<area shape="rect" title=" " alt="" coords="5,46,72,73"/>
<area shape="rect" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html" title=" " alt="" coords="149,5,315,47"/>
<area shape="rect" href="classargos_1_1CCrazyflieCameraEquippedEntity.html" title=" " alt="" coords="120,71,344,112"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" usemap="#aargos_1_1CCrazyflieEntity" alt=""/>
<map name="aargos_1_1CCrazyflieEntity" id="aargos_1_1CCrazyflieEntity">
<area shape="rect" title=" " alt="" coords="5,5,144,32"/>
<area shape="rect" href="classargos_1_1CCrazyflieEntity.html" title=" " alt="" coords="192,5,351,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" usemap="#aargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation" alt=""/>
<map name="aargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation" id="aargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation">
<area shape="rect" title=" " alt="" coords="5,13,200,39"/>
<area shape="rect" href="classargos_1_1CCrazyfliePerspectiveCameraLEDCheckOperation.html" title=" " alt="" coords="248,5,441,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" usemap="#aargos_1_1CPointMass3DCrazyflieModel" alt=""/>
<map name="aargos_1_1CPointMass3DCrazyflieModel" id="aargos_1_1CPointMass3DCrazyflieModel">
<area shape="rect" title=" " alt="" coords="5,13,152,39"/>
<area shape="rect" href="classargos_1_1CPointMass3DCrazyflieModel.html" title=" " alt="" coords="200,5,403,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_5.png" border="0" usemap="#aargos_1_1CQTOpenGLCrazyflie" alt=""/>
<map name="aargos_1_1CQTOpenGLCrazyflie" id="aargos_1_1CQTOpenGLCrazyflie">
<area shape="rect" href="classargos_1_1CQTOpenGLCrazyflie.html" title=" " alt="" coords="5,5,196,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_6.png" border="0" usemap="#aargos_1_1CQTOpenGLOperationDrawCrazyflieNormal" alt=""/>
<map name="aargos_1_1CQTOpenGLOperationDrawCrazyflieNormal" id="aargos_1_1CQTOpenGLOperationDrawCrazyflieNormal">
<area shape="rect" title=" " alt="" coords="5,13,232,39"/>
<area shape="rect" href="classargos_1_1CQTOpenGLOperationDrawCrazyflieNormal.html" title=" " alt="" coords="280,5,475,47"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_7.png" border="0" usemap="#aargos_1_1CQTOpenGLOperationDrawCrazyflieSelected" alt=""/>
<map name="aargos_1_1CQTOpenGLOperationDrawCrazyflieSelected" id="aargos_1_1CQTOpenGLOperationDrawCrazyflieSelected">
<area shape="rect" title=" " alt="" coords="5,13,241,39"/>
<area shape="rect" href="classargos_1_1CQTOpenGLOperationDrawCrazyflieSelected.html" title=" " alt="" coords="289,5,484,47"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
